<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_empresas_add = new kp_empresas_add();

// Run the page
$kp_empresas_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_empresas_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_empresasadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fkp_empresasadd = currentForm = new ew.Form("fkp_empresasadd", "add");

	// Validate form
	fkp_empresasadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($kp_empresas_add->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->estado->caption(), $kp_empresas_add->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_empresas_add->estado->errorMessage()) ?>");
			<?php if ($kp_empresas_add->numruc->Required) { ?>
				elm = this.getElements("x" + infix + "_numruc");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->numruc->caption(), $kp_empresas_add->numruc->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_empresas_add->nomempresa->Required) { ?>
				elm = this.getElements("x" + infix + "_nomempresa");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->nomempresa->caption(), $kp_empresas_add->nomempresa->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_empresas_add->dirempresa->Required) { ?>
				elm = this.getElements("x" + infix + "_dirempresa");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->dirempresa->caption(), $kp_empresas_add->dirempresa->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_empresas_add->fecha_reg->Required) { ?>
				elm = this.getElements("x" + infix + "_fecha_reg");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->fecha_reg->caption(), $kp_empresas_add->fecha_reg->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_fecha_reg");
				if (elm && !ew.checkDateDef(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_empresas_add->fecha_reg->errorMessage()) ?>");
			<?php if ($kp_empresas_add->tipo_empresa->Required) { ?>
				elm = this.getElements("x" + infix + "_tipo_empresa");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->tipo_empresa->caption(), $kp_empresas_add->tipo_empresa->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_tipo_empresa");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_empresas_add->tipo_empresa->errorMessage()) ?>");
			<?php if ($kp_empresas_add->status->Required) { ?>
				elm = this.getElements("x" + infix + "_status");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_empresas_add->status->caption(), $kp_empresas_add->status->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_status");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_empresas_add->status->errorMessage()) ?>");

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fkp_empresasadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fkp_empresasadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fkp_empresasadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_empresas_add->showPageHeader(); ?>
<?php
$kp_empresas_add->showMessage();
?>
<form name="fkp_empresasadd" id="fkp_empresasadd" class="<?php echo $kp_empresas_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_empresas">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$kp_empresas_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($kp_empresas_add->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_kp_empresas_estado" for="x_estado" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->estado->caption() ?><?php echo $kp_empresas_add->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->estado->cellAttributes() ?>>
<span id="el_kp_empresas_estado">
<input type="text" data-table="kp_empresas" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_empresas_add->estado->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->estado->EditValue ?>"<?php echo $kp_empresas_add->estado->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->numruc->Visible) { // numruc ?>
	<div id="r_numruc" class="form-group row">
		<label id="elh_kp_empresas_numruc" for="x_numruc" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->numruc->caption() ?><?php echo $kp_empresas_add->numruc->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->numruc->cellAttributes() ?>>
<span id="el_kp_empresas_numruc">
<input type="text" data-table="kp_empresas" data-field="x_numruc" name="x_numruc" id="x_numruc" size="30" maxlength="25" placeholder="<?php echo HtmlEncode($kp_empresas_add->numruc->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->numruc->EditValue ?>"<?php echo $kp_empresas_add->numruc->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->numruc->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->nomempresa->Visible) { // nomempresa ?>
	<div id="r_nomempresa" class="form-group row">
		<label id="elh_kp_empresas_nomempresa" for="x_nomempresa" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->nomempresa->caption() ?><?php echo $kp_empresas_add->nomempresa->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->nomempresa->cellAttributes() ?>>
<span id="el_kp_empresas_nomempresa">
<input type="text" data-table="kp_empresas" data-field="x_nomempresa" name="x_nomempresa" id="x_nomempresa" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($kp_empresas_add->nomempresa->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->nomempresa->EditValue ?>"<?php echo $kp_empresas_add->nomempresa->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->nomempresa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->dirempresa->Visible) { // dirempresa ?>
	<div id="r_dirempresa" class="form-group row">
		<label id="elh_kp_empresas_dirempresa" for="x_dirempresa" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->dirempresa->caption() ?><?php echo $kp_empresas_add->dirempresa->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->dirempresa->cellAttributes() ?>>
<span id="el_kp_empresas_dirempresa">
<input type="text" data-table="kp_empresas" data-field="x_dirempresa" name="x_dirempresa" id="x_dirempresa" size="30" maxlength="100" placeholder="<?php echo HtmlEncode($kp_empresas_add->dirempresa->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->dirempresa->EditValue ?>"<?php echo $kp_empresas_add->dirempresa->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->dirempresa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->fecha_reg->Visible) { // fecha_reg ?>
	<div id="r_fecha_reg" class="form-group row">
		<label id="elh_kp_empresas_fecha_reg" for="x_fecha_reg" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->fecha_reg->caption() ?><?php echo $kp_empresas_add->fecha_reg->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->fecha_reg->cellAttributes() ?>>
<span id="el_kp_empresas_fecha_reg">
<input type="text" data-table="kp_empresas" data-field="x_fecha_reg" name="x_fecha_reg" id="x_fecha_reg" maxlength="19" placeholder="<?php echo HtmlEncode($kp_empresas_add->fecha_reg->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->fecha_reg->EditValue ?>"<?php echo $kp_empresas_add->fecha_reg->editAttributes() ?>>
<?php if (!$kp_empresas_add->fecha_reg->ReadOnly && !$kp_empresas_add->fecha_reg->Disabled && !isset($kp_empresas_add->fecha_reg->EditAttrs["readonly"]) && !isset($kp_empresas_add->fecha_reg->EditAttrs["disabled"])) { ?>
<script>
loadjs.ready(["fkp_empresasadd", "datetimepicker"], function() {
	ew.createDateTimePicker("fkp_empresasadd", "x_fecha_reg", {"ignoreReadonly":true,"useCurrent":false,"format":0});
});
</script>
<?php } ?>
</span>
<?php echo $kp_empresas_add->fecha_reg->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->tipo_empresa->Visible) { // tipo_empresa ?>
	<div id="r_tipo_empresa" class="form-group row">
		<label id="elh_kp_empresas_tipo_empresa" for="x_tipo_empresa" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->tipo_empresa->caption() ?><?php echo $kp_empresas_add->tipo_empresa->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->tipo_empresa->cellAttributes() ?>>
<span id="el_kp_empresas_tipo_empresa">
<input type="text" data-table="kp_empresas" data-field="x_tipo_empresa" name="x_tipo_empresa" id="x_tipo_empresa" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_empresas_add->tipo_empresa->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->tipo_empresa->EditValue ?>"<?php echo $kp_empresas_add->tipo_empresa->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->tipo_empresa->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_empresas_add->status->Visible) { // status ?>
	<div id="r_status" class="form-group row">
		<label id="elh_kp_empresas_status" for="x_status" class="<?php echo $kp_empresas_add->LeftColumnClass ?>"><?php echo $kp_empresas_add->status->caption() ?><?php echo $kp_empresas_add->status->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_empresas_add->RightColumnClass ?>"><div <?php echo $kp_empresas_add->status->cellAttributes() ?>>
<span id="el_kp_empresas_status">
<input type="text" data-table="kp_empresas" data-field="x_status" name="x_status" id="x_status" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_empresas_add->status->getPlaceHolder()) ?>" value="<?php echo $kp_empresas_add->status->EditValue ?>"<?php echo $kp_empresas_add->status->editAttributes() ?>>
</span>
<?php echo $kp_empresas_add->status->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$kp_empresas_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $kp_empresas_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_empresas_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$kp_empresas_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_empresas_add->terminate();
?>